Exploit Report

Computer Security And Bug Information

CVE-2022-40705

CVECVE-2022-40705
CVE Title
Published Date2022-09-22T09:15Z
Modified Date2022-09-24T02:36Z
CWE TypeCWE-611
CVSS 3.xCVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Description** UNSUPPORTED WHEN ASSIGNED ** An Improper Restriction of XML External Entity Reference vulnerability in RPCRouterServlet of Apache SOAP allows an attacker to read arbitrary files over HTTP. This issue affects Apache SOAP version 2.2 and later versions. It is unknown whether previous versions are also affected. NOTE: This vulnerability only affects products that are no longer supported by the maintainer.
References
By clicking these links you will leave this website. We do not endorse and will not be held accountable for any activity on external sites.
Reference URLhttps://lists.apache.org/thread/02yo04w93rdjmllz4454lvodn5xzhwhl
Reference DescriptionMISC https://lists.apache.org/thread/02yo04w93rdjmllz4454lvodn5xzhwhl
Reference URLhttp://www.openwall.com/lists/oss-security/2022/09/22/1
Reference DescriptionMLIST [oss-security] 20220922 CVE-2022-40705: Apache SOAP: XML External Entity Injection (XXE) allows unauthenticated users to read arbitrary files via HTTP
TagsMailing List Vendor Advisory
Sources NIST MITRE

This site's data is aggregated programmatically and provided "as is" without any representations or warranties, express or implied. Exploit.report is not affiliated with the The MITRE Corporation, U.S. Department of Homeland Security (DHS), Cybersecurity and Infrastructure Security Agency (CISA), or US government in any way. CVE and the CVE logo are registered trademarks of The MITRE Corporation

© 2022 Exploit.Report | Data | Contact | Privacy Policy | Articles